# LLVM: `llvm-abcd` tool

### NAME

`llvm-abcd`

### SYNOPSIS

`llvm-abcd [options] [filename]`

### DESCRIPTION

The `llvm-abcd` command is a small utility for analyzing bytecode files. The `abcd` acronym stands for analysis of bytecode displayer. The tool reads a bytecode file (such as generated with the `llvm-abcd` tool) and produces statistical and low level bytecode format dumps. This tool is probably not of much interest or utility except for those working directly with the bytecode format. Most LLVM users can just ignore this tool.

If filename is omitted or is -, then `llvm-abcd` reads its input from standard input. This is useful for combining `llvm-abcd` in a pipeline.

### OPTIONS

- -nodetails
  Causes `llvm-abcd` to abbreviate its output by writing out only a module level summary. The details for individual functions are not displayed.

- -dump
  Causes `llvm-abcd` to dump the bytecode in a human readable format. This format is significantly different from LLVM assembly and provides details about the encoding of the bytecode file.

- -verify
  Causes `llvm-abcd` to verify the module produced by by reading the bytecode. This ensures that the statistics generated are reliable.

- -help
  Print a summary of command line options.

### EXIT STATUS

If `llvm-abcd` succeeds, it will exit with 0. Otherwise, if an error occurs, it will exit with a non-zero value, usually 1.

### SEE ALSO

`llvm-dis` `LLVM Bytecode File Format`

Maintained by Reid Spencer.